Fix android_run_skia

If STATUS_FILENAME doesn't exist, exit 1.

R=djsollen@google.com, jvanverth@google.com

Review URL: https://codereview.chromium.org/24770002

git-svn-id: http://skia.googlecode.com/svn/trunk@11498 2bbb7eff-a529-9590-31e7-b0007b416f81
diff --git a/platform_tools/android/bin/android_run_skia b/platform_tools/android/bin/android_run_skia
index a562bc5..3314225 100755
--- a/platform_tools/android/bin/android_run_skia
+++ b/platform_tools/android/bin/android_run_skia
@@ -33,6 +33,9 @@
 
 STATUS_FILENAME="/data/local/tmp/.skia_tmp_$(date +%s%N)"
 $ADB ${DEVICE_SERIAL} shell "/data/local/tmp/skia_launcher ${runVars[@]}; echo \$? > ${STATUS_FILENAME}"
+if [ -z "$($ADB $DEVICE_SERIAL shell 'if [ -f $STATUS_FILENAME ]; then echo exists; fi')" ]; then
+  exit 1
+fi
 EXIT_CODE=`$ADB ${DEVICE_SERIAL} shell cat ${STATUS_FILENAME}`
 $ADB ${DEVICE_SERIAL} shell rm ${STATUS_FILENAME}
 if [ $'0\r' != ${EXIT_CODE} ]; then